Bullet Collision Detection & Physics Library: btSolverBody Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btSolverBody Struct Reference

The btSolverBody is an internal datastructure for the constraint solver. Only necessary data is packed to increase cache coherence/performance. More...

`#include <btSolverBody.h>`

Collaboration diagram for btSolverBody:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
void | setWorldTransform (const btTransform &worldTransform)
const btTransform & | getWorldTransform () const
void | getVelocityInLocalPointNoDelta (const btVector3 &rel_pos, btVector3 &velocity) const
void | getVelocityInLocalPointObsolete (const btVector3 &rel_pos, btVector3 &velocity) const
void | getAngularVelocity (btVector3 &angVel) const
void | applyImpulse (const btVector3 &linearComponent, const btVector3 &angularComponent, const btScalar impulseMagnitude)
void | internalApplyPushImpulse (const btVector3 &linearComponent, const btVector3 &angularComponent, btScalar impulseMagnitude)
const btVector3 & | getDeltaLinearVelocity () const
const btVector3 & | getDeltaAngularVelocity () const
const btVector3 & | getPushVelocity () const
const btVector3 & | getTurnVelocity () const
btVector3 & | internalGetDeltaLinearVelocity ()
| some internal methods, don't use them More...
btVector3 & | internalGetDeltaAngularVelocity ()
const btVector3 & | internalGetAngularFactor () const
const btVector3 & | internalGetInvMass () const
void | internalSetInvMass (const btVector3 &invMass)
btVector3 & | internalGetPushVelocity ()
btVector3 & | internalGetTurnVelocity ()
void | internalGetVelocityInLocalPointObsolete (const btVector3 &rel_pos, btVector3 &velocity) const
void | internalGetAngularVelocity (btVector3 &angVel) const
void | internalApplyImpulse (const btVector3 &linearComponent, const btVector3 &angularComponent, const btScalar impulseMagnitude)
void | writebackVelocity ()
void | writebackVelocityAndTransform (btScalar timeStep, btScalar splitImpulseTurnErp)

## Public Attributes
btTransform | m_worldTransform
btVector3 | m_deltaLinearVelocity
btVector3 | m_deltaAngularVelocity
btVector3 | m_angularFactor
btVector3 | m_linearFactor
btVector3 | m_invMass
btVector3 | m_pushVelocity
btVector3 | m_turnVelocity
btVector3 | m_linearVelocity
btVector3 | m_angularVelocity
btVector3 | m_externalForceImpulse
btVector3 | m_externalTorqueImpulse
btRigidBody * | m_originalBody

## Detailed Description

The btSolverBody is an internal datastructure for the constraint solver. Only necessary data is packed to increase cache coherence/performance.

Definition at line 108 of file btSolverBody.h.

## Member Function Documentation

## § applyImpulse()

void btSolverBody::applyImpulse | ( | const btVector3 & | linearComponent,
|  | const btVector3 & | angularComponent,
|  | const btScalar | impulseMagnitude
| ) |  |
| inline

Definition at line 164 of file btSolverBody.h.

## § BT_DECLARE_ALIGNED_ALLOCATOR()

btSolverBody::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## § getAngularVelocity()

void btSolverBody::getAngularVelocity | ( | btVector3 & | angVel | ) | const
| inline

Definition at line 154 of file btSolverBody.h.

## § getDeltaAngularVelocity()

const btVector3& btSolverBody::getDeltaAngularVelocity | ( |  | ) | const
| inline

Definition at line 189 of file btSolverBody.h.

## § getDeltaLinearVelocity()

const btVector3& btSolverBody::getDeltaLinearVelocity | ( |  | ) | const
| inline

Definition at line 184 of file btSolverBody.h.

## § getPushVelocity()

const btVector3& btSolverBody::getPushVelocity | ( |  | ) | const
| inline

Definition at line 194 of file btSolverBody.h.

## § getTurnVelocity()

const btVector3& btSolverBody::getTurnVelocity | ( |  | ) | const
| inline

Definition at line 199 of file btSolverBody.h.

## § getVelocityInLocalPointNoDelta()

void btSolverBody::getVelocityInLocalPointNoDelta | ( | const btVector3 & | rel_pos,
|  | btVector3 & | velocity
| ) |  | const
| inline

Definition at line 137 of file btSolverBody.h.

## § getVelocityInLocalPointObsolete()

void btSolverBody::getVelocityInLocalPointObsolete | ( | const btVector3 & | rel_pos,
|  | btVector3 & | velocity
| ) |  | const
| inline

Definition at line 146 of file btSolverBody.h.

## § getWorldTransform()

const btTransform& btSolverBody::getWorldTransform | ( |  | ) | const
| inline

Definition at line 130 of file btSolverBody.h.

## § internalApplyImpulse()

void btSolverBody::internalApplyImpulse | ( | const btVector3 & | linearComponent,
|  | const btVector3 & | angularComponent,
|  | const btScalar | impulseMagnitude
| ) |  |
| inline

Definition at line 255 of file btSolverBody.h.

## § internalApplyPushImpulse()

void btSolverBody::internalApplyPushImpulse | ( | const btVector3 & | linearComponent,
|  | const btVector3 & | angularComponent,
|  | btScalar | impulseMagnitude
| ) |  |
| inline

Definition at line 173 of file btSolverBody.h.

## § internalGetAngularFactor()

const btVector3& btSolverBody::internalGetAngularFactor | ( |  | ) | const
| inline

Definition at line 218 of file btSolverBody.h.

## § internalGetAngularVelocity()

void btSolverBody::internalGetAngularVelocity | ( | btVector3 & | angVel | ) | const
| inline

Definition at line 248 of file btSolverBody.h.

## § internalGetDeltaAngularVelocity()

btVector3& btSolverBody::internalGetDeltaAngularVelocity | ( |  | ) |
| inline

Definition at line 213 of file btSolverBody.h.

## § internalGetDeltaLinearVelocity()

btVector3& btSolverBody::internalGetDeltaLinearVelocity | ( |  | ) |
| inline

some internal methods, don't use them

Definition at line 208 of file btSolverBody.h.

## § internalGetInvMass()

const btVector3& btSolverBody::internalGetInvMass | ( |  | ) | const
| inline

Definition at line 223 of file btSolverBody.h.

## § internalGetPushVelocity()

btVector3& btSolverBody::internalGetPushVelocity | ( |  | ) |
| inline

Definition at line 233 of file btSolverBody.h.

## § internalGetTurnVelocity()

btVector3& btSolverBody::internalGetTurnVelocity | ( |  | ) |
| inline

Definition at line 238 of file btSolverBody.h.

## § internalGetVelocityInLocalPointObsolete()

void btSolverBody::internalGetVelocityInLocalPointObsolete | ( | const btVector3 & | rel_pos,
|  | btVector3 & | velocity
| ) |  | const
| inline

Definition at line 243 of file btSolverBody.h.

## § internalSetInvMass()

void btSolverBody::internalSetInvMass | ( | const btVector3 & | invMass | ) |
| inline

Definition at line 228 of file btSolverBody.h.

## § setWorldTransform()

void btSolverBody::setWorldTransform | ( | const btTransform & | worldTransform | ) |
| inline

Definition at line 125 of file btSolverBody.h.

## § writebackVelocity()

void btSolverBody::writebackVelocity | ( |  | ) |
| inline

Definition at line 267 of file btSolverBody.h.

## § writebackVelocityAndTransform()

void btSolverBody::writebackVelocityAndTransform | ( | btScalar | timeStep,
|  | btScalar | splitImpulseTurnErp
| ) |  |
| inline

Definition at line 279 of file btSolverBody.h.

## Member Data Documentation

## § m_angularFactor

btVector3 btSolverBody::m_angularFactor

Definition at line 114 of file btSolverBody.h.

## § m_angularVelocity

btVector3 btSolverBody::m_angularVelocity

Definition at line 120 of file btSolverBody.h.

## § m_deltaAngularVelocity

btVector3 btSolverBody::m_deltaAngularVelocity

Definition at line 113 of file btSolverBody.h.

## § m_deltaLinearVelocity

btVector3 btSolverBody::m_deltaLinearVelocity

Definition at line 112 of file btSolverBody.h.

## § m_externalForceImpulse

btVector3 btSolverBody::m_externalForceImpulse

Definition at line 121 of file btSolverBody.h.

## § m_externalTorqueImpulse

btVector3 btSolverBody::m_externalTorqueImpulse

Definition at line 122 of file btSolverBody.h.

## § m_invMass

btVector3 btSolverBody::m_invMass

Definition at line 116 of file btSolverBody.h.

## § m_linearFactor

btVector3 btSolverBody::m_linearFactor

Definition at line 115 of file btSolverBody.h.

## § m_linearVelocity

btVector3 btSolverBody::m_linearVelocity

Definition at line 119 of file btSolverBody.h.

## § m_originalBody

btRigidBody* btSolverBody::m_originalBody

Definition at line 124 of file btSolverBody.h.

## § m_pushVelocity

btVector3 btSolverBody::m_pushVelocity

Definition at line 117 of file btSolverBody.h.

## § m_turnVelocity

btVector3 btSolverBody::m_turnVelocity

Definition at line 118 of file btSolverBody.h.

## § m_worldTransform

btTransform btSolverBody::m_worldTransform

Definition at line 111 of file btSolverBody.h.

The documentation for this struct was generated from the following file:

- btSolverBody.h